Thumzup Media Corporation

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/thumzup-media-corporation/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1736208000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://thumzupmedia.com/investor-relations/investor-news/news-details/2025/Thumzup-Buys-1-Million-in-Bitcoin-to-Diversify-Liquid-Assets/default.aspx",
    "holding_balance": 9.783,
    "holding_net_change": 9.78,
    "transaction_value_usd": 1000018.26,
    "average_entry_value_usd": 102220.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    9.783
  ],
  [
    1779062400000,
    9.783
  ],
  [
    1779148800000,
    9.783
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    757496.3203799999
  ],
  [
    1779062400000,
    752745.79341
  ],
  [
    1779148800000,
    750943.17783
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 4.47,
    "date": "2025-12-15",
    "high": 4.9164,
    "open": 4.9,
    "close": 4.56,
    "volume": 262102
  },
  {
    "low": 3.82,
    "date": "2025-12-16",
    "high": 4.9845,
    "open": 4.98,
    "close": 4.12,
    "volume": 707674
  },
  {
    "low": 3.32,
    "date": "2025-12-17",
    "high": 4.0,
    "open": 3.93,
    "close": 3.375,
    "volume": 253991
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.58,
  "six_month_return": -50.59,
  "three_month_return": -25.5
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/thumzup-media-corporation/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}